Pluggin Flash no Iceweasel [RESOLVIDO]

1. Pluggin Flash no Iceweasel [RESOLVIDO]

Andre
x-andré

(usa Ubuntu)

Enviado em 09/02/2009 - 17:36h

Galera, ja tentei por outros tutoriais,
e num vai, me ajudem.
Olha tentei colocar o firefox, e nao consegui,,,
so que acabei gostando do Iceweasel, so que ainda nao consegui
instalar o pluggin flash, pra ver videos, talz...

me ajudem, eu baixei o arquivo,
extrai,
e dei um ./instal (o nome do arquivo talz... )

so que ele pede (eu axo) pra direcionar um diretorio, e eu nao consigo,
me ajudem...


  


2. MELHOR RESPOSTA

Jeffeson Luiz Oliveira de Campos
foguinho.peruca

(usa Ubuntu)

Enviado em 12/02/2009 - 00:50h

Fiz esta dica por causa deste post, mas como ainda não saiu ainda, tô adiantando pra vc:

Olá!

Depois de levar um baile pra instalar o flash no debian ETCH, descobrir que o flash 10 NÃO roda de forma, digamos, simples no ETCH (afinal você vai ter que atualizar muitas dependências e isso não é uma tarefa trivial... ¬¬''). Além de esquecer umas "gambis" que fiz na "munheca" pra instalar em um pc, tive que escolher um modo alternativo (e no fim das contas mais simples... ;) ) de instalar o flash. Vamos lá:

0 - Daqui pra frente sempre como root ;)

1 - edite o seu /etc/apt/source.list e adicione o repositório do multimedia:

# nano /etc/apt/source.list

Acrescente a seguinte linha:

deb http://www.debian-multimedia.org etch main

2 - Atualize a sua lista do apt:

# apt-get update

3 - VAI DAR ERRO!!! Instale o gerenciamento de chaves para os pacotes do Debian (GPG). Aproveite e anote a chave. No meu caso foi gerada a chave 07DC563D1F41B907:

# apt-get install debian-keyring

4 - Baixe, instale a chave. Atualize a sua lista de pacotes:

# gpg --keyserver wwwkeys.eu.pgp.net --recv-keys 07DC563D1F41B907

# gpg --keyring /usr/share/keyrings/debian-keyring.gpg -a --export 07DC563D1F41B907 | apt-key add -

# apt-get update

5 - Finalmente instale o flash.

# apt-get install flashplayer-mozilla

É isso.... ;) só correr pro abraço..... ^^''... instala a versão 9 do flash.... XDDDD

E leia os fontes... mas lei principalmente as mensagens de erro... a maioria das pessoas não sabem como isso pode iluminar o nosso caminho... ;)

Jeff

3. apt-get install flashplugin-nonfree

Walber Santos
walber

(usa CentOS)

Enviado em 09/02/2009 - 17:52h

tenta isso apt-get install flashplugin-nonfree


4. Re: Pluggin Flash no Iceweasel [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 09/02/2009 - 17:55h

A última vez que instalei esse plugin usei o comando acima.


5. tenta ae

Walter Maciel Junior
birolinux

(usa Debian)

Enviado em 10/02/2009 - 00:25h

quando pedir o caminho digite /usr/lib/iceweasel ou senão mozilla-firefox, antes confirme qual destas pastas existe no seu sistema, vc pode tentar também pegar o arquivo libflashplayer.so obtido ao extrair o pacote baixado e copiar para /usr/lib/iceweasel/plugins/


6. Flash

Vinicius Rodrigues Pereira
VCS_Linux

(usa Debian)

Enviado em 10/02/2009 - 08:40h

André, no meu Ubuntu eu simplesmente baixei do site o arquivo .deb e instalei!
Baixei o Adobe Flash Player.
http://www.adobe.com/products/flashplayer/
Após baixar é so irr no shell, como root roda o comando. "dpkg -i nome_do_flash"

Abraços


7. Re: Pluggin Flash no Iceweasel [RESOLVIDO]

Richard Andrade
richardandrade

(usa Debian)

Enviado em 10/02/2009 - 11:38h

baixe o .tar.gz no site da adobe.com

entre no diretorio onde você baixou o arquivo .tar.gz

extraia os arquivos

tar xzf install_flash_player_10.tar.gz -C /etc && ln -s /etc/install_flash_player_10/libflashplayer.so /usr/lib/iceweasel/plugin/flash

reinicie o firefox

no browser digite

about:plugins e verifique se está tudo certo

valeu e abraço.


8. Re: Pluggin Flash no Iceweasel [RESOLVIDO]

Andre
x-andré

(usa Ubuntu)

Enviado em 10/02/2009 - 18:48h

eu coloquei
# apt-get install flashplugin-nonfree
deu isso ...

Lendo lista de pacotes... Pronto
Construindo árvore de dependências... Pronto
O pacote flashplugin-nonfree não está disponível, mas é referenciado por outro pacote.
Isso pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte
E: O pacote flashplugin-nonfree não tem candidato para instalação

nao foi...



9. Re: Pluggin Flash no Iceweasel [RESOLVIDO]

Andre
x-andré

(usa Ubuntu)

Enviado em 10/02/2009 - 18:50h

quando pedir o caminho digite /usr/lib/iceweasel ou senão mozilla-firefox, antes confirme qual destas pastas existe no seu sistema, vc pode tentar também pegar o arquivo libflashplayer.so obtido ao extrair o pacote baixado e copiar para /usr/lib/iceweasel/plugins/

issu eu ja tinha feito.,...
nao foi...


10. Re: Pluggin Flash no Iceweasel [RESOLVIDO]

Andre
x-andré

(usa Ubuntu)

Enviado em 10/02/2009 - 18:55h

tentei esse comando, apos baixar o arquivo .deb


#dpkg -i install_flash_player_10_linux.deb

Selecionando pacote previamente não selecionado adobe-flashplugin.
(Lendo banco de dados ... 111596 arquivos e diretórios atualmente instalados.)
Descompactando adobe-flashplugin (de install_flash_player_10_linux.deb) ...
dpkg: problemas de dependência impedem configuração de adobe-flashplugin:
adobe-flashplugin depende de libatk1.0-0 (>= 1.20.0); porém:
Versão de libatk1.0-0 no sistema é 1.12.4-3.
adobe-flashplugin depende de libc6 (>= 2.4); porém:
Versão de libc6 no sistema é 2.3.6.ds1-13etch8.
adobe-flashplugin depende de libcairo2 (>= 1.6.0); porém:
Versão de libcairo2 no sistema é 1.2.4-4.1+etch1.
adobe-flashplugin depende de libfreetype6 (>= 2.3.5); porém:
Versão de libfreetype6 no sistema é 2.2.1-5+etch3.
adobe-flashplugin depende de libgtk2.0-0 (>= 2.12.0); porém:
Versão de libgtk2.0-0 no sistema é 2.8.20-7.
adobe-flashplugin depende de libnss3-1d; porém:
Pacote libnss3-1d não está instalado.
adobe-flashplugin depende de libpango1.0-0 (>= 1.20.1); porém:
Versão de libpango1.0-0 no sistema é 1.14.8-5.
dpkg: erro processando adobe-flashplugin (--install):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante processamento de:
adobe-flashplugin



nao foi ...


11. Re: Pluggin Flash no Iceweasel [RESOLVIDO]

Andre
x-andré

(usa Ubuntu)

Enviado em 10/02/2009 - 19:02h

esse de baixar .tar.gz no site da adobe.com
extrair e instalar
ja fiz faz tempo...

e eu uso o Iceweasel. /usr/lib/iceweasel
/pluggins (eu sei )

e instalei com o pluggin do site da adobe normal, (varias vezes)

so que quando abre a janela dos videos,
aparece uma msg

this SWF is known to trigger bugs in the swfdec decoder. Playbach is cancelled

entende???...

ja dei um rm em tudo na pasta, e instalei o iceweasel novamente, pelo apt-get, e depois o pluggin novamente,
baixei o pluggin do site da adobe, pra ver se eu nao tinha baixado corrompido, e mesmo assim nao foi...

O interessante, eh que aparecia uma msg do iceweasel dizendo que falta um pluggin, se eu nao queria instalar, eu clicava na aba, ele dizia que estava instalando o pluggin, so que nao instalava...

Como proceder???


12. Flash 10 não funciona no etch

Jeffeson Luiz Oliveira de Campos
foguinho.peruca

(usa Ubuntu)

Enviado em 10/02/2009 - 19:38h

Olá!

O flash 10 não funciona no etch por problema de dependencia (biblioteca desatualizada). Pra resolver isso na mão dá mto trabalho. Uma solução mais simples eh:

1 - editar o source.list e adicionar o repositorio de multimedia: (como root)

# nano /etc/apt/source.list

adicionar:

deb http://www.debian-multimedia.org etch main

2 - atualizar a lista do repositorio

# apt-get update

3 - vai dar um erro, só adicionar a chave pedida:

veja : http://sergioaraujo.pbwiki.com/apt

4 - só instalar o flash:

# apt-get install flashplayer
(ou pelo synaptic)...

boa sorte

Jeff






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts